<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Document</title>
</head>
<style>
  html,
  body,
  .modal {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
  }
</style>

<body>
  <div class="modal">
  </div>
  <script src="/public/assets/js/postcode.v2.js"></script>
  <script>
    window.addEventListener("flutterInAppWebViewPlatformReady", function (event) {
      window.flutter_inappwebview.callHandler('ADDRESS', JSON.stringify({})).then((success) => {
        console.log('success: ', success);
      }).catch((err) => {
        console.log('err: ', err);
      });
    })
    window.addEventListener('DOMContentLoaded', function (event) {
      new daum.Postcode({
        oncomplete: function (data) {
          window.flutter_inappwebview.callHandler('ADDRESS', JSON.stringify(data)).then((success) => {
            console.log('success: ', success);
          }).catch((err) => {
            console.log('err: ', err);
          });
        },
        width: '100%',
        height: '100%'
      }).embed(document.querySelector('.modal'));
    })
  </script>
</body>

</html>